Ошибка apt update

Правила форума
Как правильно задавать вопросы Правильно сформулированный вопрос и его грамотное оформление способствует высокой вероятности получения достаточно содержательного и по существу ответа. Общая рекомендация по составлению тем: 1. Версия ОС вместе с разрядностью. Пример: LM 18.1 x64, LM Sarah x32 2. DE. Если вопрос касается двух, то через запятую. (xfce, KDE, cinnamon, mate) 3. Какое железо. (достаточно вывод inxi -Fxz в спойлере (как пользоваться спойлером смотрим здесь)) или же дать ссылку на hw-probe 4. Суть. Желательно с выводом консоли, логами. 5. Скрин. Просьба указывать 1, 2 и 3 независимо от того, имеет ли это отношение к вопросу или нет. Так же не забываем об общих правилах Как пример вот

Georg
Сообщения: 13
Зарегистрирован: 27 дек 2016, 20:21
Благодарил (а): 37 раз

Ошибка apt update

Сообщение Georg » 30 ноя 2019, 15:13

у меня минт 19.2

Аватара пользователя

Автор темы
027
Сообщения: 318
Зарегистрирован: 31 авг 2017, 06:05
Решено: 1
Благодарил (а): 23 раза
Поблагодарили: 50 раз

Ошибка apt update

Сообщение 027 » 30 ноя 2019, 15:14

Я проверил 19.1 в виртуалбоксе, то же самое. Апт упорно хочет InRelease, котрого нет.
Georg писал(а):
30 ноя 2019, 15:13
у меня минт 19.2
Опа... А что конкретно пишет в консоли apt update?
Проблема может быть вызвана любым репозиторием, не обязательно минтовским.

Аватара пользователя

slant
Сообщения: 2101
Зарегистрирован: 21 июн 2017, 15:09
Решено: 36
Благодарил (а): 18 раз
Поблагодарили: 901 раз

Ошибка apt update

Сообщение slant » 30 ноя 2019, 16:28

https://forums.linuxmint.com/viewtopic. ... 0&t=303622
Кто аглицкого не понимает - "исправлено, ждите пока зеркала обновятся снова".

Аватара пользователя

WARNING
Сообщения: 261
Зарегистрирован: 04 дек 2017, 09:55
Решено: 5
Благодарил (а): 136 раз
Поблагодарили: 86 раз

Ошибка apt update

Сообщение WARNING » 30 ноя 2019, 19:44

Ответ из
slant писал(а):
30 ноя 2019, 16:28
https://forums.linuxmint.com/viewtopic. ... 0&t=303622
The issue has been fixed now. If you're still experiencing it, either wait for the fix to reach your mirror or open Software Sources and click to "Restore the default settings" to stop using a mirror.
Вольный перевод:
Проблема на данный момент решена. Если для вас она все еще осталась, либо дождитесь, когда ее починят на вашем зеркале, либо перейдите в Источники Программного Обеспечения и нажмите на "Восстановить параметры по-умолчанию" для того, чтобы перестать использовать зеркало.
hw-probe: тыц!
As good as I am today is the worst I will ever be!


SemenIvanov
Сообщения: 4
Зарегистрирован: 08 дек 2019, 10:20
Благодарил (а): 2 раза

Ошибка apt update

Сообщение SemenIvanov » 08 дек 2019, 10:29

Возникла та же проблема несколько дней назад на минт 19.2. Не могу ничего обновить. В источниках приложений уже пробовал кучу зеркал и ставил стандартные - постоянно одна и та же ситуация
Failed to download repository information
Check your Internet connection

E:Failed to fetch http://packages.linuxmint.com/dists/tina/InRelease 403 Forbidden [IP: 208.77.20.11 80],
E:The repository 'http://packages.linuxmint.com tina InRelease' is no longer signed.
если пробую через консоль apt-get update, то пишет следующее:
E: Не удалось получить http://packages.linuxmint.com/dists/tina/InRelease 403 Forbidden [IP: 208.77.20.11 80]
E: Репозиторий «http://packages.linuxmint.com tina InRelease» больше не подписан.
N: Обновление из этого репозитория нельзя выполнить безопасным способом, поэтому по умолчанию он отключён.
N: Информацию о создании репозитория и настройках пользователя смотрите в справочной странице apt-secure(8).
Кто-нибудь нашел какое-нибудь решение или может что подсказать? Так не хочется переустанавливать

В сети
Аватара пользователя

symon2014
Сообщения: 1709
Зарегистрирован: 16 дек 2017, 18:59
Решено: 10
Откуда: Феодосия
Благодарил (а): 7 раз
Поблагодарили: 145 раз

Ошибка apt update

Сообщение symon2014 » 08 дек 2019, 10:58

sudo apt-get update -o Debug::Acquire::http=true
вывод сюда. И вопрос , страна пребывания , пользуетесь прокси может быть?
Изображение


SemenIvanov
Сообщения: 4
Зарегистрирован: 08 дек 2019, 10:20
Благодарил (а): 2 раза

Ошибка apt update

Сообщение SemenIvanov » 08 дек 2019, 11:18

Прокси не пользуюсь. Страна - ДНР/ Украина

Вывод sudo apt-get update -o Debug::Acquire::http=true
0% [Обработка]GET /dists/tina/InRelease HTTP/1.1
Host: packages.linuxmint.com
Cache-Control: max-age=0
Accept: text/*
User-Agent: Debian APT-HTTP/1.3 (1.6.12)


0% [Соединение с dl.winehq.org (151.101.66.217)] [СоединениAnswer for: http://packages.linuxmint.com/dists/tina/InRelease
HTTP/1.0 403 Forbidden
Content-Length: 1121
Content-Type: text/html
Date: Sun, 08 Dec 2019 11:19:22 GMT
Expires: Sun, 08 Dec 2019 11:19:22 GMT
Server: Mikrotik HttpProxy
Proxy-Connection: close

Ошб:1 http://packages.linuxmint.com tina InRelease
403 Forbidden [IP: 68.235.39.11 80]
0% [Соединено с dl.winehq.org (151.101.2.217)] [Соединение GET /ubuntu/dists/bionic-security/InRelease HTTP/1.1
Host: security.ubuntu.com
Cache-Control: max-age=0
Accept: text/*
If-Modified-Since: Sun, 08 Dec 2019 10:40:00 GMT
User-Agent: Debian APT-HTTP/1.3 (1.6.12)


GET /ubuntu/dists/bionic/InRelease HTTP/1.1
Host: archive.ubuntu.com
Cache-Control: max-age=0
Accept: text/*
If-Modified-Since: Thu, 26 Apr 2018 23:38:40 GMT
User-Agent: Debian APT-HTTP/1.3 (1.6.12)


GET /ubuntu/dists/bionic/InRelease HTTP/1.1
Host: archive.canonical.com
Cache-Control: max-age=0
Accept: text/*
If-Modified-Since: Wed, 23 Oct 2019 18:53:23 GMT
User-Agent: Debian APT-HTTP/1.3 (1.6.12)


Answer for: http://security.ubuntu.com/ubuntu/dists ... /InRelease
HTTP/1.1 304 Not Modified
Date: Sun, 08 Dec 2019 11:16:11 GMT
Server: Apache/2.4.18 (Ubuntu)
ETag: "15a94-5992ee69ac000"
Expires: Sun, 08 Dec 2019 11:35:00 GMT
Cache-Control: max-age=1128, s-maxage=3300, proxy-revalidate

Answer for: http://archive.ubuntu.com/ubuntu/dists/bionic/InRelease
HTTP/1.1 304 Not Modified
Date: Sun, 08 Dec 2019 11:16:11 GMT
Server: Apache/2.4.18 (Ubuntu)
ETag: "3b180-56ac8e31ec000"
Expires: Sun, 08 Dec 2019 11:16:11 GMT
Cache-Control: max-age=0, proxy-revalidate

Сущ:2 http://security.ubuntu.com/ubuntu bionic-security InRelease
0% [Соединено с dl.winehq.org (151.101.2.217)] [Соединено сGET /ubuntu/dists/bionic-updates/InRelease HTTP/1.1
Host: archive.ubuntu.com
Cache-Control: max-age=0
Accept: text/*
If-Modified-Since: Sun, 08 Dec 2019 10:40:00 GMT
User-Agent: Debian APT-HTTP/1.3 (1.6.12)


Сущ:3 http://archive.ubuntu.com/ubuntu bionic InRelease
0% [2 InRelease gpgv 88,7 kB] [Соединено с dl.winehq.org (151.101.2.2Answer for: http://archive.canonical.com/ubuntu/dis ... /InRelease
HTTP/1.1 304 Not Modified
Date: Sun, 08 Dec 2019 11:16:11 GMT
Server: Apache/2.4.18 (Ubuntu)
ETag: "27d6-595986e6ca53b"

Сущ:4 http://archive.canonical.com/ubuntu bionic InRelease
0% [3 InRelease gpgv 242 kB] [Соединено с dl.winehq.org (151.101.2.21Answer for: http://archive.ubuntu.com/ubuntu/dists/ ... /InRelease
HTTP/1.1 304 Not Modified
Date: Sun, 08 Dec 2019 11:16:11 GMT
Server: Apache/2.4.18 (Ubuntu)
ETag: "15a92-5992ee69ac000"
Expires: Sun, 08 Dec 2019 11:16:11 GMT
Cache-Control: max-age=0, proxy-revalidate

GET /ubuntu/dists/bionic-backports/InRelease HTTP/1.1
Host: archive.ubuntu.com
Cache-Control: max-age=0
Accept: text/*
If-Modified-Since: Sun, 08 Dec 2019 10:40:00 GMT
User-Agent: Debian APT-HTTP/1.3 (1.6.12)

Сущ:5 http://archive.ubuntu.com/ubuntu bionic-updates InRelease

Сущ:6 https://dl.winehq.org/wine-builds/ubuntu bionic InRelease
0% [4 InRelease gpgv 10,2 kB] [Соединено с packagecloud.io (52.8.147.Answer for: http://archive.ubuntu.com/ubuntu/dists/ ... /InRelease
HTTP/1.1 304 Not Modified
Date: Sun, 08 Dec 2019 11:16:11 GMT
Server: Apache/2.4.18 (Ubuntu)
ETag: "12342-5992ee69ac000"
Expires: Sun, 08 Dec 2019 11:16:11 GMT
Cache-Control: max-age=0, proxy-revalidate

Сущ:7 http://archive.ubuntu.com/ubuntu bionic-backports InRelease
Сущ:8 https://packagecloud.io/AtomEditor/atom/any any InRelease
Чтение списков пакетов… Готово
E: Не удалось получить http://packages.linuxmint.com/dists/tina/InRelease 403 Forbidden [IP: 68.235.39.11 80]
E: Репозиторий «http://packages.linuxmint.com tina InRelease» больше не подписан.
N: Обновление из этого репозитория нельзя выполнить безопасным способом, поэтому по умолчанию он отключён.
N: Информацию о создании репозитория и настройках пользователя смотрите в справочной странице apt-secure(8).

Аватара пользователя

colonel
Сообщения: 1689
Зарегистрирован: 18 дек 2016, 09:08
Решено: 20
Откуда: Хартленд, N
Благодарил (а): 40 раз
Поблагодарили: 460 раз

Ошибка apt update

Сообщение colonel » 08 дек 2019, 13:30

WARNING писал(а):
30 ноя 2019, 19:44
...Вольный перевод: ....
может ещё на всяк пожарный /var/lib/apt/lists почистить
SemenIvanov писал(а):
08 дек 2019, 10:29
Не могу ничего обновить.
SemenIvanov писал(а):
08 дек 2019, 10:29
Кто-нибудь нашел какое-нибудь решение или может что подсказать? Так не хочется переустанавливать
и в чём надобность и необходимости в срочном обновлении? что-то не работает или просто шило колет?
через манагер пакетов и манагер программ пакеты\программы видны ?
вот эти адреса http://packages.linuxmint.com/ http://packages.linuxmint.com/pool/ в браузере открывается?
"Не ты выбираешь Linux, а Linux выбирает тебя"
(с)Себастьян Перейра, торговец чёрным деревом

Аватара пользователя

rogoznik
Сообщения: 6140
Зарегистрирован: 27 июн 2017, 10:36
Решено: 69
Откуда: Нижний Тагил
Благодарил (а): 326 раз
Поблагодарили: 1114 раз

Ошибка apt update

Сообщение rogoznik » 08 дек 2019, 15:13

SemenIvanov, а если в терминале набрать

Код: Выделить всё

sudo apt update
ИзображениеИзображение

Аватара пользователя

Автор темы
027
Сообщения: 318
Зарегистрирован: 31 авг 2017, 06:05
Решено: 1
Благодарил (а): 23 раза
Поблагодарили: 50 раз

Ошибка apt update

Сообщение 027 » 08 дек 2019, 15:30

Что вы фигней страдаете? Загляните в репу браузером и увидите, что файла InRelease там нет. Во всех версиях нет, начиная с Бетси. Однако апт хочет именно его. Я имею в виду систему управления пакетами, а не конкретную утилиту. Апт-гет ведет себя точно так же.
slant писал(а):
30 ноя 2019, 16:28
https://forums.linuxmint.com/viewtopic. ... 0&t=303622
Кто аглицкого не понимает - "исправлено, ждите пока зеркала обновятся снова".
На дату посмотрите, середина октября. Меня, кстати, тогдашний бардак не затронул.


SemenIvanov
Сообщения: 4
Зарегистрирован: 08 дек 2019, 10:20
Благодарил (а): 2 раза

Ошибка apt update

Сообщение SemenIvanov » 08 дек 2019, 15:37

rogoznik, если набрать sudo apt update
Ошб:1 http://security.ubuntu.com/ubuntu bionic-security InRelease
403 Forbidden [IP: 91.189.88.162 80]
Сущ:2 http://archive.ubuntu.com/ubuntu bionic InRelease
Сущ:3 http://archive.canonical.com/ubuntu bionic InRelease
Пол:4 http://archive.ubuntu.com/ubuntu bionic-updates InRelease [88,7 kB]
Игн:5 http://packages.linuxmint.com tina InRelease
Сущ:6 https://dl.winehq.org/wine-builds/ubuntu bionic InRelease
Сущ:7 http://packages.linuxmint.com tina Release
Пол:8 http://archive.ubuntu.com/ubuntu bionic-backports InRelease [74,6 kB]
Пол:11 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 DEP-11 Metadata [295 kB]
Пол:12 http://archive.ubuntu.com/ubuntu bionic-updates/universe amd64 DEP-11 Metadata [264 kB]
Сущ:10 https://packagecloud.io/AtomEditor/atom/any any InRelease
Пол:13 http://archive.ubuntu.com/ubuntu bionic-updates/multiverse amd64 DEP-11 Metadata [2 464 B]
Пол:14 http://archive.ubuntu.com/ubuntu bionic-backports/universe amd64 DEP-11 Metadata [7 976 B]
Чтение списков пакетов… Готово
E: Не удалось получить http://security.ubuntu.com/ubuntu/dists ... /InRelease 403 Forbidden [IP: 91.189.88.162 80]
E: Репозиторий «http://security.ubuntu.com/ubuntu bionic-security InRelease» больше не подписан.
N: Обновление из этого репозитория нельзя выполнить безопасным способом, поэтому по умолчанию он отключён.
N: Информацию о создании репозитория и настройках пользователя смотрите в справочной странице apt-secure(8).
colonel, ссылки в браузере без проблем открываются. Какой-то прямо острой необходимости обновляться нет, но ведь постоянно выходят новые версии браузера того же и другого софта и т.д. Тот же файрфокс в винде обновляется сам по себе, тут все делается через менеджер обновлений.

Аватара пользователя

madesta
Сообщения: 438
Зарегистрирован: 11 июн 2017, 18:47
Решено: 7
Благодарил (а): 28 раз
Поблагодарили: 82 раза

Ошибка apt update

Сообщение madesta » 08 дек 2019, 17:35

027 писал(а):
29 ноя 2019, 17:19
Только у меня такое сегодня началось?
А если попробовать скачать dеb напрямую?
https://download.opensuse.org/repositor ... .04/amd64/

Аватара пользователя

Автор темы
027
Сообщения: 318
Зарегистрирован: 31 авг 2017, 06:05
Решено: 1
Благодарил (а): 23 раза
Поблагодарили: 50 раз

Ошибка apt update

Сообщение 027 » 08 дек 2019, 18:07

При чем тут дебы из другого репозитория?

Аватара пользователя

colonel
Сообщения: 1689
Зарегистрирован: 18 дек 2016, 09:08
Решено: 20
Откуда: Хартленд, N
Благодарил (а): 40 раз
Поблагодарили: 460 раз

Ошибка apt update

Сообщение colonel » 08 дек 2019, 18:49

SemenIvanov писал(а):
08 дек 2019, 15:37
Тот же файрфокс в винде обновляется сам по себе, тут все делается через менеджер обновлений.
мне пофигу на вашу винду , хотите как в винде , юзайте винду.
Если хотите пользоваться линуксом - пользуйтесь , но не хрен по любому поводу мелкософт поминать. В нём много чего не так как в линуксах.
SemenIvanov писал(а):
08 дек 2019, 15:37
...ссылки в браузере без проблем открываются....
про синаптик и очевидно мимо мозга прошло. В них что ? ничего не отображается ? А в обновляторе(манагере обновлений ) после выполненной проверки обновлений (пусть и с указанием ошибки по одной из реп) ничего нет? В синаптике можно увидеть установленные версии и наличие более новых и из него и установить.

Проверьте содержание official-package-repositories.list в /etc/apt/sources.list.d что там у вас подключено, что записано но отключено.
ну и говорил уже про очистку на всяк пожарный записей списка в /var/lib/apt/lists (не уверен , но вдруг ...) и после смены зеркал в источниках приложений или сброса на дефолтные ещё раз проверить обновленияили в терминале ;sudo apt update
SemenIvanov писал(а):
08 дек 2019, 10:29
...Не могу ничего обновить
а обновления то в репах есть ?
а то грузанул минт19,2 в лайф режиме , включил обновлятор , проверку обновлений - никаких ошибок нет , а из обновлений только - "установите новую версию менеджера обновления"
ну и в #29 было сказано - а если в терминале набрать
"Не ты выбираешь Linux, а Linux выбирает тебя"
(с)Себастьян Перейра, торговец чёрным деревом

Аватара пользователя

vir0id
Сообщения: 2328
Зарегистрирован: 19 дек 2017, 15:48
Решено: 14
Откуда: Рига
Благодарил (а): 149 раз
Поблагодарили: 239 раз

Ошибка apt update

Сообщение vir0id » 09 дек 2019, 03:21

027 писал(а):
30 ноя 2019, 14:56
Спасибо за гадания на гуще, но это не совсем то, что мне надо.
Приколы с репами не только в mint. В дебиане тоже. Не пробовал сменить сервер на основной?


SemenIvanov
Сообщения: 4
Зарегистрирован: 08 дек 2019, 10:20
Благодарил (а): 2 раза

Ошибка apt update

Сообщение SemenIvanov » 09 дек 2019, 03:43

синаптик видит установленные пакеты, но для всех говорит, что это самая новая версия. После выполнения обновлений и игнорирования ошибки в менеджере ничего не предлагает, хотя раньше чуть ли не каждый день что-то предлагал обновлять. К примеру у меня сейчас firefox 70.0.1, но 3 декабря уже вышла 71. Так то может ее еще в репозиториях нет, но вроде раньше всегда практически сразу появлялась.

содержание official-package-repositories.list
deb http://packages.linuxmint.com tina main upstream import backport

deb http://archive.ubuntu.com/ubuntu bionic main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu bionic-updates main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu bionic-backports main restricted universe multiverse

deb http://security.ubuntu.com/ubuntu/ bionic-security main restricted universe multiverse
deb http://archive.canonical.com/ubuntu/ bionic partner
Очистка /var/lib/apt/lists ничего не дала.

Аватара пользователя

rogoznik
Сообщения: 6140
Зарегистрирован: 27 июн 2017, 10:36
Решено: 69
Откуда: Нижний Тагил
Благодарил (а): 326 раз
Поблагодарили: 1114 раз

Ошибка apt update

Сообщение rogoznik » 09 дек 2019, 04:21

colonel писал(а):
08 дек 2019, 18:49
а из обновлений только - "установите новую версию менеджера обновления"
Так это нормально. В новых версиях манагера обновлений так сделали. После установки новой версии манагера появятся обновления для системы.
SemenIvanov писал(а):
09 дек 2019, 03:43
К примеру у меня сейчас firefox 70.0.1, но 3 декабря уже вышла 71. Так то может ее еще в репозиториях нет, но вроде раньше всегда практически сразу появлялась.
Потерпи немного. Сейчас им не до сборок новой версии лисы. Они сейчас заняты новой версией ОС, она уже на подходе, а бетку уже во всю тестируют.
ИзображениеИзображение

Аватара пользователя

colonel
Сообщения: 1689
Зарегистрирован: 18 дек 2016, 09:08
Решено: 20
Откуда: Хартленд, N
Благодарил (а): 40 раз
Поблагодарили: 460 раз

Ошибка apt update

Сообщение colonel » 09 дек 2019, 14:40

SemenIvanov писал(а):
09 дек 2019, 03:43
инаптик видит установленные пакеты, но для всех говорит, что это самая новая версия.
а что он вам должен сказать если в репах минт это действительно самый новый последний ФФ адаптированный под минт . можете сами посмотреть в репах минта - http://packages.linuxmint.com/pool/upstream/f/firefox
если хочень очется и колется новее , никто не мешает найти версию свежее из подходящих реп , например попробовать поискать в репах соответствующей убунты или ещё где, ну или установить с сайта мозиллырус https://mozilla-russia.org/products/firefox/linux.
вот к примеру бинарная сборка -
Screenshot at 2019-12-09 21_36_38.png
rogoznik писал(а):
09 дек 2019, 04:21
Так это нормально.
так я и не против , и не говорю что не нормально
яж просто показывал что если обновлений нет то их и не видно
У вас нет необходимых прав для просмотра вложений в этом сообщении.
"Не ты выбираешь Linux, а Linux выбирает тебя"
(с)Себастьян Перейра, торговец чёрным деревом

Аватара пользователя

Автор темы
027
Сообщения: 318
Зарегистрирован: 31 авг 2017, 06:05
Решено: 1
Благодарил (а): 23 раза
Поблагодарили: 50 раз

Ошибка apt update

Сообщение 027 » 09 дек 2019, 15:07

SemenIvanov писал(а):
09 дек 2019, 03:43
К примеру у меня сейчас firefox 70.0.1, но 3 декабря уже вышла 71.
В убунтовских репах для 18.04 еще нету.

В сети
Аватара пользователя

symon2014
Сообщения: 1709
Зарегистрирован: 16 дек 2017, 18:59
Решено: 10
Откуда: Феодосия
Благодарил (а): 7 раз
Поблагодарили: 145 раз

Ошибка apt update

Сообщение symon2014 » 09 дек 2019, 15:13

027 писал(а):
09 дек 2019, 15:07
В убунтовских репах для 18.04 еще нету.
кого? И причём 18.04?
Изображение

Вернуться в «Иные системные ошибки»